import { DialogSOP } from '../../libappsop/dialogsop';
import { EditFieldSOP } from '../../libappsop/editfieldsop';

export interface DialogSalesLevelFields {
  Name?: string;
}

/**
 * Sales Level dialog.
 */
export class DialogSalesLevel extends DialogSOP<DialogSalesLevelFields> {
  public static title = 'Sales level';
  private readonly _efName = new EditFieldSOP('edtName');

  public constructor() {
    super('DialogCreateEditSalesLevel');

    // Set UI element mapping to pair the UI name to the UI element for use in DialogSOP to find the UI object to set value or verify value
    // This prevents each new Dialog to duplicate code just to set/verify UI element value
    this._uiMap.set('Name', this._efName);
  }
}
